package com.ruoyi.dxp.service;

import com.ruoyi.dxp.dto.BarChartDto;
import com.ruoyi.dxp.dto.BarChartParam;
import com.ruoyi.dxp.dto.IndexStaticsDto;
import com.ruoyi.dxp.dto.WholeAccessBarChartDto;

import java.util.List;

public interface IIndexStaticsService {

    /**
     * 获取首页统计
     */
    public IndexStaticsDto getIndexStatics();

    /**
     * 获取资源访问数据
     */
    public List<BarChartDto> getCallData(BarChartParam param);

    /**
     * 查询接入数据日分组
     */
    public List<WholeAccessBarChartDto> selectAccessAndShareGroupData(BarChartParam param);
}
